diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index b4ec1981..bec22cea 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -1,52 +1,30 @@
-(function(root, factory) {
-  // Set up Backform appropriately for the environment. Start with AMD.
-  if (typeof define === 'function' && define.amd) {
-    define([
-      'sources/gettext', 'underscore', 'jquery', 'backbone', 'backform', 'backgrid', 'alertify',
-      'moment', 'bignumber', 'bootstrap.datetimepicker', 'bootstrap.switch'
-    ],
-     function(gettext, _, $, Backbone, Backform, Backgrid, Alertify, moment, BigNumber) {
-      // Export global even in AMD case in case this script is loaded with
-      // others that may still expect a global Backform.
-      return factory(root, gettext, _, $, Backbone, Backform, Backgrid, Alertify, moment, BigNumber);
-    });
-
-  // Next for Node.js or CommonJS. jQuery may not be needed as a module.
-  } else if (typeof exports !== 'undefined') {
-    var gettext = require('sources/gettext'),
-      _ = require('underscore') || root._,
-      $ = root.jQuery || root.$ || root.Zepto || root.ender,
-      Backbone = require('backbone') || root.Backbone,
-      Backform = require('backform') || root.Backform,
-      Backgrid = require('backgrid') || root.Backgrid,
-      Alertify = require('alertify') || root.Alertify,
-      moment = require('moment') || root.moment;
-    factory(root, gettext, _, $, Backbone, Backform, Backgrid, Alertify, moment);
-
-  // Finally, as a browser global.
-  } else {
-    factory(root, root.gettext, root._, (root.jQuery || root.Zepto || root.ender || root.$), root.Backbone, root.Backform, root.Alertify, root.moment);
-  }
-} (this, function(root, gettext, _, $, Backbone, Backform, Backgrid, Alertify, moment, BigNumber) {
+define([
+  'sources/gettext', 'underscore', 'jquery', 'backbone', 'backform', 'backgrid', 'alertify',
+  'moment', 'bignumber', 'bootstrap.datetimepicker', 'bootstrap.switch',
+], function(
+  gettext, _, $, Backbone, Backform, Backgrid, Alertify, moment, BigNumber
+) {
   /*
-     * Add mechanism in backgrid to render different types of cells in
-     * same column;
+   * Add mechanism in backgrid to render different types of cells in
+   * same column;
    */
 
   // Add new property cellFunction in Backgrid.Column.
-  _.extend(Backgrid.Column.prototype.defaults, {cellFunction: undefined});
+  _.extend(Backgrid.Column.prototype.defaults, {
+    cellFunction: undefined,
+  });
 
   // Add tooltip to cell if cell content is larger than
   // cell width
   _.extend(Backgrid.Cell.prototype.events, {
-    'mouseover': function(e) {
+    'mouseover': function() {
       var $el = $(this.el);
-      if($el.text().length > 0 && !$el.attr('title') &&
+      if ($el.text().length > 0 && !$el.attr('title') &&
         ($el.innerWidth() + 1) < $el[0].scrollWidth
       ) {
         $el.attr('title', $.trim($el.text()));
       }
-    }
+    },
   });
 
   /* Overriding backgrid sort method.
@@ -59,35 +37,38 @@
    */
 
   _.extend(Backgrid.Body.prototype, {
-    sort: function (column, direction) {
+    sort: function(column, direction) {
 
-      if (!_.contains(["ascending", "descending", null], direction)) {
+      if (!_.contains(['ascending', 'descending', null], direction)) {
         throw new RangeError('direction must be one of "ascending", "descending" or `null`');
       }
 
-      if (_.isString(column)) column = this.columns.findWhere({name: column});
+      if (_.isString(column)) column = this.columns.findWhere({
+        name: column,
+      });
 
       var collection = this.collection;
 
       var order;
-      if (direction === "ascending") order = -1;
-      else if (direction === "descending") order = 1;
+      if (direction === 'ascending') order = -1;
+      else if (direction === 'descending') order = 1;
       else order = null;
 
       // Get column type and pass it to comparator.
       var col_type = column.get('cell').prototype.className || 'string-cell',
-          comparator = this.makeComparator(column.get("name"), order,
-                                          order ?
-                                          column.sortValue() :
-                                          function (model) {
-                                            return model.cid.replace('c', '') * 1;
-                                          }, col_type);
+        comparator = this.makeComparator(column.get('name'), order,
+          order ?
+          column.sortValue() :
+          function(model) {
+            return model.cid.replace('c', '') * 1;
+          }, col_type);
 
       if (Backbone.PageableCollection &&
-          collection instanceof Backbone.PageableCollection) {
+        collection instanceof Backbone.PageableCollection) {
 
-        collection.setSorting(order && column.get("name"), order,
-                              {sortValue: column.sortValue()});
+        collection.setSorting(order && column.get('name'), order, {
+          sortValue: column.sortValue(),
+        });
 
         if (collection.fullCollection) {
           // If order is null, pageable will remove the comparator on both sides,
@@ -97,28 +78,31 @@
             collection.fullCollection.comparator = comparator;
           }
           collection.fullCollection.sort();
-          collection.trigger("backgrid:sorted", column, direction, collection);
-        }
-        else collection.fetch({reset: true, success: function () {
-          collection.trigger("backgrid:sorted", column, direction, collection);
-        }});
-      }
-      else {
+          collection.trigger('backgrid:sorted', column, direction, collection);
+        } else collection.fetch({
+          reset: true,
+          success: function() {
+            collection.trigger('backgrid:sorted', column, direction, collection);
+          },
+        });
+      } else {
         collection.comparator = comparator;
         collection.sort();
-        collection.trigger("backgrid:sorted", column, direction, collection);
+        collection.trigger('backgrid:sorted', column, direction, collection);
       }
 
-      column.set("direction", direction);
+      column.set('direction', direction);
 
       return this;
     },
-    makeComparator: function (attr, order, func, type) {
+    makeComparator: function(attr, order, func, type) {
 
-      return function (left, right) {
+      return function(left, right) {
         // extract the values from the models
 
-        var l = func(left, attr), r = func(right, attr), t;
+        var l = func(left, attr),
+          r = func(right, attr),
+          t;
         if (_.isUndefined(l) || _.isUndefined(r)) return;
 
         var types = ['number-cell', 'integer-cell'];
@@ -127,44 +111,43 @@
           // NaN if invalid number
           try {
             _l = new BigNumber(l);
-          } catch(err) {
+          } catch (err) {
             _l = NaN;
           }
 
           try {
             _r = new BigNumber(r);
-          } catch(err) {
+          } catch (err) {
             _r = NaN;
           }
 
           // if descending order, swap left and right
           if (order === 1) t = _l, _l = _r, _r = t;
 
-          if (_l.eq(_r))  // If both are equals
+          if (_l.eq(_r)) // If both are equals
             return 0;
           else if (_l.lt(_r)) // If left is less than right
             return -1;
           else
             return 1;
-        }
-        else {
+        } else {
           // if descending order, swap left and right
           if (order === 1) t = l, l = r, r = t;
 
-           // compare as usual
+          // compare as usual
           if (l === r) return 0;
           else if (l < r) return -1;
           return 1;
         }
       };
-    }
+    },
   });
 
   _.extend(Backgrid.Row.prototype, {
-    makeCell: function (column) {
-      return new (this.getCell(column))({
+    makeCell: function(column) {
+      return new(this.getCell(column))({
         column: column,
-        model: this.model
+        model: this.model,
       });
     },
     /*
@@ -174,57 +157,56 @@
      * cellFunction will be called with context (this) as column and model as
      * argument.
      */
-    getCell: function (column) {
-      var cf = column.get("cellFunction");
-      if (_.isFunction(cf)){
+    getCell: function(column) {
+      var cf = column.get('cellFunction');
+      if (_.isFunction(cf)) {
         var cell = cf.apply(column, [this.model]);
         try {
-          return Backgrid.resolveNameToClass(cell, "Cell");
+          return Backgrid.resolveNameToClass(cell, 'Cell');
         } catch (e) {
           if (e instanceof ReferenceError) {
             // Fallback to column cell.
-            return column.get("cell");
+            return column.get('cell');
           } else {
             throw e; // Let other exceptions bubble up
           }
         }
       } else {
-        return column.get("cell");
+        return column.get('cell');
       }
-    }
+    },
   });
 
   var ObjectCellEditor = Backgrid.Extension.ObjectCellEditor = Backgrid.CellEditor.extend({
     modalTemplate: _.template([
       '<div class="subnode-dialog" tabindex="1">',
       '    <div class="subnode-body"></div>',
-      '</div>'
-    ].join("\n")),
+      '</div>',
+    ].join('\n')),
     stringTemplate: _.template([
       '<div class="form-group">',
       '  <label class="control-label col-sm-4"><%=label%></label>',
       '  <div class="col-sm-8">',
       '    <input type="text" class="form-control" name="<%=name%>" value="<%=value%>" placeholder="<%=placeholder%>" />',
       '  </div>',
-      '</div>'
-    ].join("\n")),
+      '</div>',
+    ].join('\n')),
     extendWithOptions: function(options) {
       _.extend(this, options);
     },
-    render: function () {
+    render: function() {
       return this;
     },
     postRender: function(model, column) {
-      var editor = this,
-          el = this.el,
-          columns_length = this.columns_length,
-          // To render schema directly from Backgrid cell we use columns schema attribute
-          schema = this.schema.length ? this.schema : this.column.get('schema');
+      var columns_length = this.columns_length,
+        // To render schema directly from Backgrid cell we use columns schema
+        // attribute.
+        schema = this.schema.length ? this.schema : this.column.get('schema');
 
-      if (column != null && column.get("name") != this.column.get("name"))
+      if (column != null && column.get('name') != this.column.get('name'))
         return false;
 
-      if (!_.isArray(schema)) throw new TypeError("schema must be an array");
+      if (!_.isArray(schema)) throw new TypeError('schema must be an array');
 
       // Create a Backbone model from our object if it does not exist
       var $dialog = this.createDialog(columns_length);
@@ -237,10 +219,12 @@
       var back_el = $dialog.find('form.form-dialog');
 
       this.objectView = new Backform.Dialog({
-        el: back_el, model: this.model, schema: schema,
+        el: back_el,
+        model: this.model,
+        schema: schema,
         tabPanelClassName: function() {
           return 'sub-node-form col-sm-12';
-        }
+        },
       });
 
       this.objectView.render();
@@ -248,10 +232,16 @@
       return this;
     },
     createDialog: function(noofcol) {
-      var $dialog = this.$dialog = $(this.modalTemplate({title: ""})),
-          tr = $("<tr>"),
-          noofcol = noofcol || 1,
-          td = $("<td>", {class: 'editable sortable renderable', style: 'height: auto', colspan: noofcol+2}).appendTo(tr);
+      noofcol = noofcol || 1;
+      var $dialog = this.$dialog = $(this.modalTemplate({
+          title: '',
+        })),
+        tr = $('<tr>'),
+        td = $('<td>', {
+          class: 'editable sortable renderable',
+          style: 'height: auto',
+          colspan: noofcol + 2,
+        }).appendTo(tr);
 
       this.tr = tr;
 
@@ -263,7 +253,9 @@
     },
     save: function() {
       // Retrieve values from the form, and store inside the object model
-      this.model.trigger("backgrid:edited", this.model, this.column, new Backgrid.Command({keyCode:13}));
+      this.model.trigger('backgrid:edited', this.model, this.column, new Backgrid.Command({
+        keyCode: 13,
+      }));
       if (this.tr) {
         this.tr.remove();
       }
@@ -277,34 +269,34 @@
         this.tr.remove();
       }
       return this;
-    }
+    },
   });
 
-  var PGSelectCell = Backgrid.Extension.PGSelectCell = Backgrid.SelectCell.extend({
+  Backgrid.Extension.PGSelectCell = Backgrid.SelectCell.extend({
     // It's possible to render an option group or use a
     // function to provide option values too.
     optionValues: function() {
       var res = [],
-          opts = _.result(this.column.attributes, 'options');
+        opts = _.result(this.column.attributes, 'options');
       _.each(opts, function(o) {
         res.push([o.label, o.value]);
       });
       return res;
-    }
+    },
   });
 
-  var ObjectCell = Backgrid.Extension.ObjectCell = Backgrid.Cell.extend({
+  Backgrid.Extension.ObjectCell = Backgrid.Cell.extend({
     editorOptionDefaults: {
-      schema: []
+      schema: [],
     },
-    className: "edit-cell",
+    className: 'edit-cell',
     editor: ObjectCellEditor,
     initialize: function(options) {
       Backgrid.Cell.prototype.initialize.apply(this, arguments);
 
       // Pass on cell options to the editor
       var cell = this,
-          editorOptions = {};
+        editorOptions = {};
       _.each(this.editorOptionDefaults, function(def, opt) {
         if (!cell[opt]) cell[opt] = def;
         if (options && options[opt]) cell[opt] = options[opt];
@@ -313,23 +305,23 @@
 
       editorOptions['el'] = $(this.el);
       editorOptions['columns_length'] = this.column.collection.length;
-      editorOptions['el'].attr('tabindex' , 1);
+      editorOptions['el'].attr('tabindex', 1);
 
-      this.listenTo(this.model, "backgrid:edit", function (model, column, cell, editor) {
-        if (column.get("name") == this.column.get("name"))
+      this.listenTo(this.model, 'backgrid:edit', function(model, column, cell, editor) {
+        if (column.get('name') == this.column.get('name'))
           editor.extendWithOptions(editorOptions);
       });
     },
-    enterEditMode: function () {
+    enterEditMode: function() {
       // Notify that we are about to enter in edit mode for current cell.
-     // We will check if this row is editable first
+      // We will check if this row is editable first
       var canEditRow = (!_.isUndefined(this.column.get('canEditRow')) &&
-                          _.isFunction(this.column.get('canEditRow'))) ?
-                          Backgrid.callByNeed(this.column.get('canEditRow'),
-                          this.column, this.model) : true;
+          _.isFunction(this.column.get('canEditRow'))) ?
+        Backgrid.callByNeed(this.column.get('canEditRow'),
+          this.column, this.model) : true;
       if (canEditRow) {
         // Notify that we are about to enter in edit mode for current cell.
-        this.model.trigger("enteringEditMode", [this]);
+        this.model.trigger('enteringEditMode', [this]);
 
         Backgrid.Cell.prototype.enterEditMode.apply(this, arguments);
         /* Make sure - we listen to the click event */
@@ -338,26 +330,26 @@
 
         if (editable) {
           this.$el.html(
-            "<i class='fa fa-pencil-square subnode-edit-in-process'></i>"
-            );
+            '<i class=\'fa fa-pencil-square subnode-edit-in-process\'></i>'
+          );
           this.model.trigger(
-            "pg-sub-node:opened", this.model, this
-            );
+            'pg-sub-node:opened', this.model, this
+          );
         }
       } else {
-          Alertify.alert(gettext("This object is not user editable."),
-            function(){
-              return true;
+        Alertify.alert(gettext('This object is not user editable.'),
+          function() {
+            return true;
           });
       }
     },
-    render: function(){
-        this.$el.empty();
-        this.$el.html("<i class='fa fa-pencil-square-o'></i>");
-        this.delegateEvents();
-        if (this.grabFocus)
-          this.$el.focus();
-        return this;
+    render: function() {
+      this.$el.empty();
+      this.$el.html('<i class=\'fa fa-pencil-square-o\'></i>');
+      this.delegateEvents();
+      if (this.grabFocus)
+        this.$el.focus();
+      return this;
     },
     exitEditMode: function() {
       var index = $(this.currentEditor.objectView.el)
@@ -365,8 +357,8 @@
         .data('tabIndex');
       Backgrid.Cell.prototype.exitEditMode.apply(this, arguments);
       this.model.trigger(
-          "pg-sub-node:closed", this, index
-          );
+        'pg-sub-node:closed', this, index
+      );
       this.grabFocus = true;
     },
     events: {
@@ -379,87 +371,89 @@
           this.enterEditMode.call(this, []);
         }
         e.preventDefault();
-      }
-    }
+      },
+    },
   });
 
-  var DeleteCell = Backgrid.Extension.DeleteCell = Backgrid.Cell.extend({
-      defaults: _.defaults({
-        defaultDeleteMsg: gettext('Are you sure you wish to delete this row?'),
-        defaultDeleteTitle: gettext('Delete Row')
-      }, Backgrid.Cell.prototype.defaults),
+  Backgrid.Extension.DeleteCell = Backgrid.Cell.extend({
+    defaults: _.defaults({
+      defaultDeleteMsg: gettext('Are you sure you wish to delete this row?'),
+      defaultDeleteTitle: gettext('Delete Row'),
+    }, Backgrid.Cell.prototype.defaults),
 
-      /** @property */
-      className: "delete-cell",
-      events: {
-        "click": "deleteRow"
-      },
-      deleteRow: function (e) {
-        e.preventDefault();
-        var that = this;
-        // We will check if row is deletable or not
-        var canDeleteRow = (!_.isUndefined(this.column.get('canDeleteRow')) &&
-                            _.isFunction(this.column.get('canDeleteRow')) ) ?
-                             Backgrid.callByNeed(this.column.get('canDeleteRow'),
-                              this.column, this.model) : true;
-        if (canDeleteRow) {
-          var delete_msg = !_.isUndefined(this.column.get('customDeleteMsg')) ?
-                           this.column.get('customDeleteMsg'): that.defaults.defaultDeleteMsg;
-          var delete_title = !_.isUndefined(this.column.get('customDeleteTitle')) ?
-                           this.column.get('customDeleteTitle'): that.defaults.defaultDeleteTitle;
-          Alertify.confirm(
-            delete_title,
-            delete_msg,
-            function(evt) {
-              that.model.collection.remove(that.model);
-            },
-            function(evt) {
-              return true;
-            }
-          );
-        } else {
-          Alertify.alert(gettext("This object cannot be deleted."),
-            function(){
-              return true;
-            }
-          );
-        }
-      },
-      initialize: function () {
-          Backgrid.Cell.prototype.initialize.apply(this, arguments);
-      },
-      render: function () {
-          this.$el.empty();
-          this.$el.html("<i class='fa fa-trash'></i>");
-          this.delegateEvents();
-          return this;
+    /** @property */
+    className: 'delete-cell',
+    events: {
+      'click': 'deleteRow',
+    },
+    deleteRow: function(e) {
+      e.preventDefault();
+      var that = this;
+      // We will check if row is deletable or not
+      var canDeleteRow = (!_.isUndefined(this.column.get('canDeleteRow')) &&
+          _.isFunction(this.column.get('canDeleteRow'))) ?
+        Backgrid.callByNeed(this.column.get('canDeleteRow'),
+          this.column, this.model) : true;
+      if (canDeleteRow) {
+        var delete_msg = !_.isUndefined(this.column.get('customDeleteMsg')) ?
+          this.column.get('customDeleteMsg') : that.defaults.defaultDeleteMsg;
+        var delete_title = !_.isUndefined(this.column.get('customDeleteTitle')) ?
+          this.column.get('customDeleteTitle') : that.defaults.defaultDeleteTitle;
+        Alertify.confirm(
+          delete_title,
+          delete_msg,
+          function() {
+            that.model.collection.remove(that.model);
+          },
+          function() {
+            return true;
+          }
+        );
+      } else {
+        Alertify.alert(gettext('This object cannot be deleted.'),
+          function() {
+            return true;
+          }
+        );
       }
+    },
+    initialize: function() {
+      Backgrid.Cell.prototype.initialize.apply(this, arguments);
+    },
+    render: function() {
+      this.$el.empty();
+      this.$el.html('<i class=\'fa fa-trash\'></i>');
+      this.delegateEvents();
+      return this;
+    },
   });
 
-  var CustomHeaderCell = Backgrid.Extension.CustomHeaderCell = Backgrid.HeaderCell.extend({
-    initialize: function () {
+  Backgrid.Extension.CustomHeaderCell = Backgrid.HeaderCell.extend({
+    initialize: function() {
       // Here, we will add custom classes to header cell
       Backgrid.HeaderCell.prototype.initialize.apply(this, arguments);
       var getClassName = this.column.get('cellHeaderClasses');
       if (getClassName) {
         this.$el.addClass(getClassName);
       }
-    }
+    },
   });
 
   /**
     SwitchCell renders a Bootstrap Switch in backgrid cell
   */
-  $.fn.bootstrapSwitch = jQuery.fn.bootstrapSwitch;
-  var SwitchCell = Backgrid.Extension.SwitchCell = Backgrid.BooleanCell.extend({
+  if (window.jQuery && window.jQuery.fn.bootstrapSwitch)
+    $.fn.bootstrapSwitch = window.jQuery.fn.bootstrapSwitch;
+
+  Backgrid.Extension.SwitchCell = Backgrid.BooleanCell.extend({
     defaults: {
       options: _.defaults({
         onText: gettext('True'),
         offText: gettext('False'),
         onColor: 'success',
         offColor: 'default',
-        size: 'mini'
-        }, $.fn.bootstrapSwitch.defaults)
+        size: 'mini',
+      }, $.fn.bootstrapSwitch.defaults),
     },
 
     className: 'switch-cell',
@@ -479,71 +473,73 @@
     },
 
     events: {
-      'switchChange.bootstrapSwitch': 'onChange'
+      'switchChange.bootstrapSwitch': 'onChange',
     },
 
-    onChange: function () {
+    onChange: function() {
       var model = this.model,
-          column = this.column,
-          val = this.formatter.toRaw(this.$input.prop('checked'), model);
+        column = this.column,
+        val = this.formatter.toRaw(this.$input.prop('checked'), model);
 
       this.enterEditMode();
       // on bootstrap change we also need to change model's value
-      model.set(column.get("name"), val);
+      model.set(column.get('name'), val);
     },
 
-    render: function () {
-      var self = this, col = _.defaults(this.column.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = col.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          model = this.model, column = this.column,
-          rawValue = this.formatter.fromRaw(
-            model.get(column.get("name")), model
-          ),
-          editable = Backgrid.callByNeed(col.editable, column, model);
+    render: function() {
+      var self = this,
+        col = _.defaults(this.column.toJSON(), this.defaults),
+        model = this.model,
+        column = this.column,
+        rawValue = this.formatter.fromRaw(
+          model.get(column.get('name')), model
+        ),
+        editable = Backgrid.callByNeed(col.editable, column, model);
 
       this.undelegateEvents();
 
       this.$el.empty();
 
       this.$el.append(
-        $("<input>", {
+        $('<input>', {
           tabIndex: -1,
-          type: "checkbox"
-          }).prop('checked', rawValue).prop('disabled', !editable));
+          type: 'checkbox',
+        }).prop('checked', rawValue).prop('disabled', !editable));
       this.$input = this.$el.find('input[type=checkbox]').first();
 
       // Override BooleanCell checkbox with Bootstrapswitch
       this.$input.bootstrapSwitch(
-        _.defaults(
-          {'state': rawValue, 'disabled': !editable}, col.options,
+        _.defaults({
+          'state': rawValue,
+          'disabled': !editable,
+        }, col.options,
           this.defaults.options
-          ));
+        ));
 
       // Listen for Tab key
       this.$el.on('keydown', function(e) {
         var gotoCell;
-        if(e.keyCode == 9) {
+        if (e.keyCode == 9) {
           // go to Next Cell & if Shift is also pressed go to Previous Cell
           gotoCell = e.shiftKey ? self.$el.prev() : self.$el.next();
         }
 
-        if(gotoCell) {
-            setTimeout(function() {
-              if(gotoCell.hasClass('editable')) {
-                e.preventDefault();
-                e.stopPropagation();
-                var command = new Backgrid.Command({
-                      key: "Tab", keyCode: 9,
-                      which: 9, shiftKey: e.shiftKey
-                    });
-                self.model.trigger("backgrid:edited", self.model,
-                                    self.column, command);
-                gotoCell.focus();
-              }
-            }, 20);
+        if (gotoCell) {
+          setTimeout(function() {
+            if (gotoCell.hasClass('editable')) {
+              e.preventDefault();
+              e.stopPropagation();
+              var command = new Backgrid.Command({
+                key: 'Tab',
+                keyCode: 9,
+                which: 9,
+                shiftKey: e.shiftKey,
+              });
+              self.model.trigger('backgrid:edited', self.model,
+                self.column, command);
+              gotoCell.focus();
+            }
+          }, 20);
         }
 
       });
@@ -551,15 +547,14 @@
       this.delegateEvents();
 
       return this;
-    }
+    },
   });
 
   /*
    *  Select2Cell for backgrid.
    */
-  var Select2Cell = Backgrid.Extension.Select2Cell =
-      Backgrid.SelectCell.extend({
-    className: "select2-cell",
+  Backgrid.Extension.Select2Cell = Backgrid.SelectCell.extend({
+    className: 'select2-cell',
 
     /** @property */
     editor: null,
@@ -569,9 +564,9 @@
       opt: {
         label: null,
         value: null,
-        selected: false
-       }
-      }, Backgrid.SelectCell.prototype.defaults),
+        selected: false,
+      },
+    }, Backgrid.SelectCell.prototype.defaults),
 
     enterEditMode: function() {
       if (!this.$el.hasClass('editor'))
@@ -588,18 +583,19 @@
     },
 
     events: {
-      "select2:open": "enterEditMode",
-      "select2:close": "exitEditMode",
-      "change": "onSave",
-      "select2:unselect": "onSave"
+      'select2:open': 'enterEditMode',
+      'select2:close': 'exitEditMode',
+      'change': 'onSave',
+      'select2:unselect': 'onSave',
     },
     /** @property {function(Object, ?Object=): string} template */
     template: _.template([
       '<option value="<%- value %>" ',
       '<%= selected ? \'selected="selected"\' : "" %>>',
-      '<%- label %></option>'].join(''),
-      null,{
-        variable: null
+      '<%- label %></option>',
+    ].join(''),
+      null, {
+        variable: null,
       }),
 
     initialize: function() {
@@ -609,19 +605,20 @@
       this.exitEditMode = this.exitEditMode.bind(this);
     },
 
-    render: function () {
+    render: function() {
       var col = _.defaults(this.column.toJSON(), this.defaults),
-          model = this.model, column = this.column,
-          editable = Backgrid.callByNeed(col.editable, column, model),
-          optionValues = _.clone(this.optionValues ||
-                (_.isFunction(this.column.get('options')) ?
-                    (this.column.get('options'))(this) :
-                    this.column.get('options')));
+        model = this.model,
+        column = this.column,
+        editable = Backgrid.callByNeed(col.editable, column, model),
+        optionValues = _.clone(this.optionValues ||
+          (_.isFunction(this.column.get('options')) ?
+            (this.column.get('options'))(this) :
+            this.column.get('options')));
 
       this.undelegateEvents();
 
       if (this.$select) {
-        if ( this.$select.data('select2')) {
+        if (this.$select.data('select2')) {
           this.$select.select2('destroy');
         }
         delete this.$select;
@@ -631,7 +628,7 @@
       this.$el.empty();
 
       if (!_.isArray(optionValues))
-        throw new TypeError("optionValues must be an array");
+        throw new TypeError('optionValues must be an array');
 
       /*
        * Add empty option as Select2 requires any empty '<option><option>' for
@@ -640,18 +637,19 @@
       optionValues.unshift(this.defaults.opt);
 
       var optionText = null,
-          optionValue = null,
-          self = this,
-          model = this.model,
-          selectedValues = model.get(this.column.get("name")),
-          select2_opts = _.extend(
-            {openOnEnter: false, multiple:false}, self.defaults.select2,
-            (col.select2 || {})
-            ),
-          selectTpl = _.template('<select <%=multiple ? "multiple" : "" %>></select>');
+        optionValue = null,
+        self = this,
+        selectedValues = model.get(this.column.get('name')),
+        select2_opts = _.extend({
+          openOnEnter: false,
+          multiple: false,
+        }, self.defaults.select2,
+          (col.select2 || {})
+        ),
+        selectTpl = _.template('<select <%=multiple ? "multiple" : "" %>></select>');
 
       var $select = self.$select = $(selectTpl({
-        multiple: select2_opts.multiple
+        multiple: select2_opts.multiple,
       })).appendTo(self.$el);
 
       for (var i = 0; i < optionValues.length; i++) {
